#!/bin/ash
# ~/.icewm/menu.Default.icewm.sh
# Objectif : construire un menu icewm pour les programmes par défaut de PuppyLinux. |
# Goal : build an icewm menu for the PuppyLinux default apps.
# © Christian L'Écuyer, Gatineau (Qc), Canada, sam. 26 déc. 2017; GPL3.
#  (Alias « musher0 » [forum Puppy].)
################# 	# https://opensource.org/licenses/GPL-3.0
#    This program is free software: you can redistribute it and/or modify it under the
#    terms of the GNU General Public License as published by the Free Software
#    Foundation, either version 3 of the License, or  (at your option) any later version.
#    	This program is distributed in the hope that it will be useful, but WITHOUT ANY
#    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
#    A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License along with
#   this program. If not, see <http://www.gnu.org/licenses/>.
##########
#   Ce programme est libre : vous pouvez le redistribuer ou modifier selon les termes
#   de la Licence Publique Générale GNU publiée par la Free Software Foundation (v. 3
#   ou toute version ultérieure choisie par vous).
#       Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
#   GARANTIE, ni explicite ni implicite, y compris des garanties de commercialisation
#   ou d'adaptation à un but spécifique. Pour plus de détails, veuillez vous reporter
#   au texte officiel de cette licence à https://opensource.org/licenses/GPL-3.0, à
#   http://www.linux-france.org/article/these/gpl.html pour une traduction et, pour une
#   explication en français, à https://fr.wikipedia.org/wiki/Licence_publique_générale_GNU.
################
#### set -xe
# export LANG=en_CA.utf8 # To test. Otherwise it is automatic.
LC_ALL=C

ProgLine () { echo -e "\t\tprog ${line#*t} - $line" >> ~/.icewm/menu.Defaults.icewm; }

if [ "`ps | awk '$4=="icewm" { print $4 }'`" -a "`cat /etc/windowmanager`" != "icewm" ];then
	echo "icewm" > /etc/windowmanager
fi
if [ "`cat /etc/windowmanager`" = "icewm" ];then
	if [ ! -f /tmp/default-progs2 ];then
		AppS=/usr/local/bin
		cd $AppS
		ls -Algo --file-type default* | awk '$1 !~ /lrw/ && $NF !~ /lts-|run|cdr$|handler/ { print $NF }' > /tmp/default-progs
		head -n 14 /tmp/default-progs > /tmp/default-progs1
		sleep 0.1s
		tail -n 14 /tmp/default-progs > /tmp/default-progs2
	fi

	> /root/.icewm/menu.Defaults.icewm # Defaults
	case "${LANG:0:2}" in fr)Defaut="par défaut";Refr="Rafraîchir" ;;
		en|*)Defaut="by default";Refr="Refresh" ;;
	esac
	echo -e "menu \"$Defaut\" - {\n\tseparator
	menu \"a...\" - {\n\t\tseparator\n\t\tseparator" >> ~/.icewm/menu.Defaults.icewm
	line="";while read line;do ProgLine;done < /tmp/default-progs1

	echo -e "\t\tseparator\n\t}\n
	menu \"f...\" - {\n\t\tseparator\n\t\tseparator" >> ~/.icewm/menu.Defaults.icewm
	line="";while read line;do ProgLine;done < /tmp/default-progs2

	echo -e "\t\tseparator\n\t}
	prog $Refr - /root/.icewm/menu.Defaults.icewm.sh\n\tseparator\n}" >> ~/.icewm/menu.Defaults.icewm

	rm -f /tmp/default-progs*
fi

# export LANG=fr_CA.utf8 # To test. Otherwise it is automatic.
LC_ALL=""
# set +xe
